summaryrefslogtreecommitdiffstats
path: root/gis/osm2pgsql
diff options
context:
space:
mode:
author Giancarlo Dessi <slack@giand.it>2024-01-18 07:48:27 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2024-01-21 08:26:51 +0700
commit5ecb02d104588ac216ca8ef7ddfd98638501fcf7 (patch)
treeefcba42889493e679661b65de7c6403610cd2f01 /gis/osm2pgsql
parent9b65a74ecb2001830c0716ef357db388915fdea1 (diff)
downloadslackbuilds-5ecb02d104588ac216ca8ef7ddfd98638501fcf7.tar.gz
slackbuilds-5ecb02d104588ac216ca8ef7ddfd98638501fcf7.tar.xz
gis/osm2pgsql: Updated for version 1.10.0.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'gis/osm2pgsql')
-rw-r--r--gis/osm2pgsql/README3
-rw-r--r--gis/osm2pgsql/osm2pgsql.SlackBuild26
-rw-r--r--gis/osm2pgsql/osm2pgsql.info18
-rw-r--r--gis/osm2pgsql/slack-desc2
4 files changed, 27 insertions, 22 deletions
diff --git a/gis/osm2pgsql/README b/gis/osm2pgsql/README
index c83188f770..4fa8d0224f 100644
--- a/gis/osm2pgsql/README
+++ b/gis/osm2pgsql/README
@@ -1,2 +1,5 @@
osm2pgsql is a utility program that converts OpenStreetMap data to
PostGIS-enabled PostgreSQL databases.
+
+Since version 1.10.0 osm2pgsql needs a 64 bit architecture. For 32 bit
+architectures you have to install osm2pgsql-legacy.
diff --git a/gis/osm2pgsql/osm2pgsql.SlackBuild b/gis/osm2pgsql/osm2pgsql.SlackBuild
index 546e09feb9..0d6a8a80d8 100644
--- a/gis/osm2pgsql/osm2pgsql.SlackBuild
+++ b/gis/osm2pgsql/osm2pgsql.SlackBuild
@@ -2,6 +2,7 @@
# Slackware build script for osm2pgsql
# Copyright 2013-2021 Benjamin Trigona-Harany
+# Copyright 2024 Giancarlo Dessi, Cagliari, IT
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -24,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=osm2pgsql
-VERSION=${VERSION:-1.4.2}
+VERSION=${VERSION:-1.10.0}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -37,9 +38,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -49,22 +47,26 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-if [ "$ARCH" = "i586" ]; then
- SLKCFLAGS="-O2 -march=i586 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
- SLKCFLAGS="-O2 -march=i686 -mtune=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "x86_64" ]; then
+ARCH64="no"
+if [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIRSUFFIX="64"
+ ARCH64="yes"
else
- SLKCFLAGS="-O2"
+ SLKCFLAGS=""
LIBDIRSUFFIX=""
fi
set -e
+if [ $ARCH64 = "no" ]; then
+ echo "*****************************************"
+ echo "THIS PACKAGE DOES NOT SUPPORT YOUR SYSTEM"
+ echo "YOU NEED osm2pgsql-legacy package"
+ echo "*****************************************"
+ exit 1
+fi
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
diff --git a/gis/osm2pgsql/osm2pgsql.info b/gis/osm2pgsql/osm2pgsql.info
index 28e89137ac..ea4119f8da 100644
--- a/gis/osm2pgsql/osm2pgsql.info
+++ b/gis/osm2pgsql/osm2pgsql.info
@@ -1,10 +1,10 @@
PRGNAM="osm2pgsql"
-VERSION="1.4.2"
-HOMEPAGE="https://wiki.openstreetmap.org/wiki/Osm2pgsql"
-DOWNLOAD="https://github.com/openstreetmap/osm2pgsql/archive/1.4.2/osm2pgsql-1.4.2.tar.gz"
-MD5SUM="6c849709fb967d75554be503385e88f6"
-DOWNLOAD_x86_64=""
-MD5SUM_x86_64=""
-REQUIRES="luajit postgis"
-MAINTAINER="Benjamin Trigona-Harany"
-EMAIL="slackbuilds@jaxartes.net"
+VERSION="1.10.0"
+HOMEPAGE="https://osm2pgsql.org/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://github.com/osm2pgsql-dev/osm2pgsql/archive/1.10.0.tar.gz"
+MD5SUM_x86_64="5cc0c452ef1ca8f66bdd7c6b8dd2799d"
+REQUIRES="luajit nlohmann_json postgis"
+MAINTAINER="Giancarlo Dessi"
+EMAIL="slack@giand.it"
diff --git a/gis/osm2pgsql/slack-desc b/gis/osm2pgsql/slack-desc
index 2cdacd1cb3..82dc4e1c9f 100644
--- a/gis/osm2pgsql/slack-desc
+++ b/gis/osm2pgsql/slack-desc
@@ -11,7 +11,7 @@ osm2pgsql:
osm2pgsql: osm2pgsql is a utility program that converts OpenStreetMap data to
osm2pgsql: PostGIS-enabled PostgreSQL databases.
osm2pgsql:
-osm2pgsql: Homepage: http://wiki.openstreetmap.org/wiki/Osm2pgsql
+osm2pgsql: Homepage: https://osm2pgsql.org/
osm2pgsql:
osm2pgsql:
osm2pgsql: